Subject: [alpine-aports] [PATCH] main/syncthing: upgrade to 0.11.25

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 23:02:14 +0200

Also symlink source to GOPATH instead of moving it and built from
tarballs instead of git.
---
 main/syncthing/APKBUILD | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

diff --git a/main/syncthing/APKBUILD b/main/syncthing/APKBUILD
index eed5161..95fb92f 100644
--- a/main/syncthing/APKBUILD
+++ b/main/syncthing/APKBUILD
@@ -1,8 +1,9 @@
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Contributor: Carlo Landmeter <[email-masked]>
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=syncthing
-pkgver=0.11.19
+pkgver=0.11.25
 pkgrel=0
 pkgdesc="Open Source Continuous File Synchronization"
 url="http://syncthing.net/"
@@ -19,16 +20,14 @@ options="!strip"
 source="$pkgname-$pkgver.tar.gz::https://github.com/syncthing/syncthing/archive/v$pkgver.tar.gz
 	syncthing.confd
 	syncthing.initd"
-giturl="git://github.com/$pkgname/$pkgname.git"
-disturl="dev.alpinelinux.org:/archive/$pkgname/"
 
 _builddir="$srcdir/src/github.com/syncthing"
-
 prepare() {
-	local i
-	mkdir -p $_builddir
-	mv $srcdir/$pkgname-$pkgver $_builddir/$pkgname
+	mkdir -p "$_builddir"
+	ln -s "$srcdir"/$pkgname-$pkgver "$_builddir"/$pkgname || return 1
+
 	cd "$_builddir"
+	local i
 	for i in $source; do
 		case $i in
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
@@ -38,8 +37,9 @@ prepare() {
 
 build() {
 	cd "$_builddir"/$pkgname
-	export GOPATH="$srcdir"
-	go run build.go -no-upgrade -version=v$pkgver
+	# XXX this sucks because it blindly fetches dependencies from
+	# the internet not allowing us their verify their integrity.
+	GOPATH="$srcdir" go run build.go -no-upgrade -version=v$pkgver
 }
 
 package() {
@@ -54,12 +54,12 @@ package() {
 		"$pkgdir"/etc/conf.d/$pkgname || return 1
 }
 
-md5sums="4f561b74e9c0170bbf8fe5b3b99ff917  syncthing-0.11.19.tar.gz
+md5sums="050d1f2d5b3ee657e26eabf57b517089  syncthing-0.11.25.tar.gz
 c4923d6df4d3e51274869c09ea46a3e1  syncthing.confd
 760e26e5ea2f1dce8ce149a45f5e99bb  syncthing.initd"
-sha256sums="a57bbf9264f8db03e22657958e2b0d77438acc2180be8a24a8d9965d63a00cff  syncthing-0.11.19.tar.gz
+sha256sums="c91a0d5b4106fe78447a0c7df86d7c4efc98a3e968b80a58984afaab004bbebf  syncthing-0.11.25.tar.gz
 da396f944d7b5b2e4f5a7a9a3a7b31529cf359ef7ebecec4c48383d0c8b6821e  syncthing.confd
 4d7c1de71cfc415d716471f32fdbb1693597f0209167e4c4ea302478481ab9b3  syncthing.initd"
-sha512sums="2015b73022b7bcb616d5fbfef6339b6eedacbdfd40ba00887e04bdb128211eaaebcad15a4af414b5ee16111ccd5cea15e5d7d234e494c087ccccfbf8eeff0bc6  syncthing-0.11.19.tar.gz
+sha512sums="d13a09b678c6d8f5d5c6c8d49d793579071ea395d97bb940061b6bddd3a1e2dc1dd5dec057fd2741d12b135c1a77e92c51f8a52cc630d3003d6355faf316f028  syncthing-0.11.25.tar.gz
 b19cc3d802caa33f4d06852de590d2d984c12cf27d0540162cd7195da4f3f149c83c72e7a10f385b32b27fff6f39d33698e7402442a3f32a9da136c5d19059ae  syncthing.confd
 21fa7b0090e579ad0f02bb8cc9a78736eb99811613823bf12d477262da2281543d07b47ae0888e2e3876a687bf4cab3c89405447373a9c5ab2915989c5f9dce8  syncthing.initd"
-- 
2.5.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Sat, 26 Sep 2015 23:23:24 +0200

Also symlink source to GOPATH instead of moving it and built from
tarballs instead of git. Furthermore update the dependencies.
---
 main/syncthing/APKBUILD | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/main/syncthing/APKBUILD b/main/syncthing/APKBUILD
index eed5161..75640e3 100644
--- a/main/syncthing/APKBUILD
+++ b/main/syncthing/APKBUILD
@@ -1,8 +1,9 @@
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Contributor: Carlo Landmeter <[email-masked]>
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=syncthing
-pkgver=0.11.19
+pkgver=0.11.25
 pkgrel=0
 pkgdesc="Open Source Continuous File Synchronization"
 url="http://syncthing.net/"
@@ -12,23 +13,21 @@ pkgusers="$pkgname"
 pkggroups="$pkgname"
 depends=""
 depends_dev=""
-makedepends="$depends_dev godep go mercurial bash"
+makedepends="$depends_dev godep go go-tools"
 install="$pkgname.pre-install"
 subpackages=""
 options="!strip"
 source="$pkgname-$pkgver.tar.gz::https://github.com/syncthing/syncthing/archive/v$pkgver.tar.gz
 	syncthing.confd
 	syncthing.initd"
-giturl="git://github.com/$pkgname/$pkgname.git"
-disturl="dev.alpinelinux.org:/archive/$pkgname/"

 build() {
 	cd "$_builddir"/$pkgname
 
 package() {

---